package cn.kdan.compdf.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author ComPDFKit-WangPH 2022-08-25
 */
@Data
public class Asset{

    /**
     * 资产余额
     */
    private Integer asset;
    /**
     * 资产过期时间
     */
    private Date assetOverTime;
    /**
     * 资产类型
     */
    private Integer assetTypeId;
    /**
     * 
     */
    private Long id;
    /**
     * 0 未启用，1启用
     */
    private Integer status;
    /**
     * 租户id
     */
    private Long tenantId;
    /**
     * 预扣费资产
     */
    private Integer withholdingAsset;

}
