package cn.kdan.compdf.mapper;

import cn.kdan.compdf.entity.BackgroundUserRemain;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author ComPDFKit-WPH 2022-11-10
 */
public interface BackgroundUserRemainMapper extends BaseMapper<BackgroundUserRemain> {
    /**
     * 修改资产总数，清除免费资产部分
     *
     * @param tenantId             tenantId
     * @param newestPlanAddFreeNum newestPlanAddFreeNum
     */
    void updateCleanFreeTotal(@Param("tenantId") Long tenantId,
                              @Param("newestPlanAddFreeNum") Integer newestPlanAddFreeNum);

    void updateUserRemain(@Param("tenantId") Long tenantId,
                          @Param("assetTypeId") Integer assetTypeId,
                          @Param("asset") Integer asset);
}
