package cn.kdan.compdf.entity;

import cn.kdan.compdf.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author ComPDFKit-WPH 2022-11-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("background_user_remain")
public class BackgroundUserRemain extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 租户id
     */
    private Long tenantId;
    /**
     * 套餐余额总数
     */
    private Integer totalFiles;
    /**
     * 已使用数量
     */
    private Integer usedFiles;
    /**
     * 关联用户主键id
     */
    private Long userId;
    /**
     * 资产类型 1 SUBSCRIPTIONS，2 PACKAGES，3 FREE  MyConstant
     */
    private Integer assetType;

}
